Bug 846251 - CLI: message issue when creating system group with existing name.
CLI: message issue when creating system group with existing name.
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 05:11 EDT by Hayk Hovsepyan
Modified: 2013-08-16 13:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The error message when creating system groups provided a typographical error: "Validation failed: Name Name must be unique within one organization." This fix removes the second occurrence of "Name".
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:53:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-08-07 05:11:50 EDT
Description of problem:
When creating system group by CLI and specifying existing name it shows message:
"Validation failed: Name Name must be unique within one organization".

The second "Name" is odd.

Version-Release number of selected component (if applicable):
python-qpid-0.14-7.el6_2.noarch
katello-common-1.1.3-1.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
candlepin-tomcat6-0.5.35-1.el6.noarch
katello-1.1.3-1.el6.noarch
katello-configure-1.1.2-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.0.1-1.el6.noarch
katello-cli-1.0.1-1.el6.noarch
katello-repos-1.1.1-1.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
katello-glue-pulp-1.1.3-1.el6.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-selinux-1.0.1-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.0.6-1.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
pulp-common-1.1.11-1.el6.noarch
katello-glue-candlepin-1.1.3-1.el6.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
pulp-1.1.11-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
katello-certs-tools-1.1.7-1.el6.noarch
katello-glue-foreman-1.1.3-1.el6.noarch
candlepin-0.5.35-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.11-1.el6.noarch
Comment 1 Bryan Kearney 2012-08-23 10:00:38 EDT
fixed in master at b61ae36bc23d7479b6bd3c8d52ffd6744728b13c.
Comment 3 Hayk Hovsepyan 2012-09-19 03:29:58 EDT
Verified on revision:

katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
candlepin-selinux-0.7.8-1.el6cf.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-configure-1.1.9-3.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.1-1.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64

Now it shows correct error message.
Comment 5 errata-xmlrpc 2012-12-04 14:53:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 6 Mike McCune 2013-08-16 13:56:14 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.